
QGIS Application - Bug report #10573

embed form shown in external dialog

2014-06-13 12:00 AM - Denis Rouzaud

Status: Closed

Priority: Severe/Regression

Assignee: Matthias Kuhn

Category: Relations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18980

Description

This happens when using a custom UI form in the referencing layer.

When opening the form of the referencing layer, the form of the referenced layer is shown in another dialog with NULL values.

It is the custom UI form which is shown, so if no custom UI form is given for the referenced layer, an empty dialog is shown.

Checking or not "show embed form" (in the field properties of the the referencing layer) does not change this behavior.

Associated revisions

Revision 0ce4cbf4 - 2014-06-19 12:48 PM - Matthias Kuhn

Show embedded form as widget, not as separate dialog

Fix #10573

Fix #10606

History

#1 - 2014-06-16 01:01 AM - Denis Rouzaud

- Affected QGIS version changed from 2.2.0 to master

#2 - 2014-06-19 03:54 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in changeset commit:"0ce4cbf4bab83ba1719e025892d6eb8970417c90".
